Skip to main content
GET
Typescript (SDK)

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

service_id
integer
required

Response

Successful Response

Response model for service operations. A service is a collection of tools.

id
integer
required

The internal ID of the service

Example:

1

name
string
required

The name of the service

Example:

"Weather tools"

description
string
required

The description of the service

Example:

"Service containing tools for fetching weather information"

last_updated
string<date-time>
required

The timestamp of the most recent update to the service

Example:

"2024-01-01T12:00:00Z"

last_updated_by
string
required

The email of the user who last updated the service

Example:

"user@email.com"

tools
string[]
required

Names of tools that belong to the service

Example:
auth_type
enum<string> | null

The type of authentication to use for the service's tools

Available options:
basic,
bearer,
custom_headers,
oauth2
Example:

"basic"

auth_value_keys
string[] | null

Auth value keys (values omitted for security)

Example:
last_updated_comments
string | null

Free text providing comment about what was updated

Example:

"Updated description to correct typo"